Bug 729095 - incorrect behavior of allow/try options of VerifyCert and TLS_REQCERT
Summary: incorrect behavior of allow/try options of VerifyCert and TLS_REQCERT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openldap
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jan Vcelak
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On: 725819
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-08 17:19 UTC by Jan Vcelak
Modified: 2013-03-04 01:29 UTC (History)
6 users (show)

Fixed In Version: openldap-2.4.23-17.el6
Doc Type: Bug Fix
Doc Text:
- OpenLDAP server with olcVerifyClient setting set 'allow', or client tool setting TLS_REQCERT set to 'allow'. The remote peer certificate is invalid. - OpenLDAP server/client connection will fail. - Patches were applied to ignore invalid remote peer certificates when olcVerifyClient (on server side) or TLS_REQCERT (on client side) is set to allow. - When server's olcVerifyClient setting is set to 'allow', the server allows the connections from remote clients, even if their client certificates are invalid. When client's TLS_REQCERT is set to 'allow', the client allows the connection to remote server, even if the remote server's certificate is invalid.
Clone Of: 725819
Environment:
Last Closed: 2011-12-06 11:49:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1514 normal SHIPPED_LIVE openldap bug fix and enhancement update 2011-12-06 00:51:20 UTC

Description Jan Vcelak 2011-08-08 17:19:32 UTC
openldap-2.4.23-16.el6 is also affected

The patch was already included upstream.

+++ This bug was initially created as a clone of Bug #725819 +++

Description of problem:

http://www.openldap.org/its/index.cgi?findid=7002

Comment 1 Jan Vcelak 2011-08-09 14:08:53 UTC
Almost the same problem with client side TLS_REQCERT:

http://www.openldap.org/its/index.cgi?findid=7014

Comment 3 Jan Vcelak 2011-08-15 08:24:06 UTC
Resolved in openldap-2.4.23-17.el6

Comment 4 Jan Vcelak 2011-08-15 11:58:59 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
- OpenLDAP server with olcVerifyClient setting set 'allow', or client tool setting TLS_REQCERT set to 'allow'. The remote peer certificate is invalid.
- OpenLDAP server/client connection will fail.
- Patches were applied to ignore invalid remote peer certificates when olcVerifyClient (on server side) or TLS_REQCERT (on client side) is set to allow.
- When server's olcVerifyClient setting is set to 'allow', the server allows the connections from remote clients, even if their client certificates are invalid. When client's TLS_REQCERT is set to 'allow', the client allows the connection to remote server, even if the remote server's certificate is invalid.

Comment 7 errata-xmlrpc 2011-12-06 11:49:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1514.html


Note You need to log in before you can comment on or make changes to this bug.